diff --git a/sysdeps/loongarch/lp64/multiarch/Makefile b/sysdeps/loongarch/lp64/multiarch/Makefile
index fe863e1ba4..01762ef526 100644
--- a/sysdeps/loongarch/lp64/multiarch/Makefile
+++ b/sysdeps/loongarch/lp64/multiarch/Makefile
@@ -1,52 +1,52 @@
 ifeq ($(subdir),string)
 sysdep_routines += \
-  strlen-aligned \
-  strlen-lsx \
-  strlen-lasx \
-  strnlen-aligned \
-  strnlen-lsx \
-  strnlen-lasx \
+  memchr-aligned \
+  memchr-lasx \
+  memchr-lsx \
+  memcmp-aligned \
+  memcmp-lasx \
+  memcmp-lsx \
+  memcpy-aligned \
+  memcpy-unaligned \
+  memmove-lasx \
+  memmove-lsx \
+  memmove-unaligned \
+  memrchr-generic \
+  memrchr-lasx \
+  memrchr-lsx \
+  memset-aligned \
+  memset-lasx \
+  memset-lsx \
+  memset-unaligned \
+  rawmemchr-aligned \
+  rawmemchr-lasx \
+  rawmemchr-lsx \
+  stpcpy-aligned \
+  stpcpy-lasx \
+  stpcpy-lsx \
+  stpcpy-unaligned \
   strchr-aligned \
-  strchr-lsx \
   strchr-lasx \
-  strrchr-aligned \
-  strrchr-lsx \
-  strrchr-lasx \
+  strchr-lsx \
   strchrnul-aligned \
-  strchrnul-lsx \
   strchrnul-lasx \
+  strchrnul-lsx \
   strcmp-aligned \
   strcmp-lsx \
-  strncmp-aligned \
-  strncmp-lsx \
   strcpy-aligned \
-  strcpy-unaligned \
-  strcpy-lsx \
   strcpy-lasx \
-  stpcpy-aligned \
-  stpcpy-unaligned \
-  stpcpy-lsx \
-  stpcpy-lasx \
-  memcpy-aligned \
-  memcpy-unaligned \
-  memmove-unaligned \
-  memmove-lsx \
-  memmove-lasx \
-  rawmemchr-aligned \
-  rawmemchr-lsx \
-  rawmemchr-lasx \
-  memchr-aligned \
-  memchr-lsx \
-  memchr-lasx \
-  memrchr-generic \
-  memrchr-lsx \
-  memrchr-lasx \
-  memset-aligned \
-  memset-unaligned \
-  memset-lsx \
-  memset-lasx \
-  memcmp-aligned \
-  memcmp-lsx \
-  memcmp-lasx \
+  strcpy-lsx \
+  strcpy-unaligned \
+  strlen-aligned \
+  strlen-lasx \
+  strlen-lsx \
+  strncmp-aligned \
+  strncmp-lsx \
+  strnlen-aligned \
+  strnlen-lasx \
+  strnlen-lsx \
+  strrchr-aligned \
+  strrchr-lasx \
+  strrchr-lsx \
 # sysdep_routines
 endif
diff --git a/sysdeps/x86/Makefile b/sysdeps/x86/Makefile
index 4d50b327b5..73b29cc78c 100644
--- a/sysdeps/x86/Makefile
+++ b/sysdeps/x86/Makefile
@@ -15,18 +15,18 @@ CFLAGS-dl-get-cpu-features.os += $(rtld-early-cflags)
 CFLAGS-get-cpuid-feature-leaf.o += $(no-stack-protector)
 
 tests += \
-  tst-get-cpu-features \
-  tst-get-cpu-features-static \
   tst-cpu-features-cpuinfo \
   tst-cpu-features-cpuinfo-static \
   tst-cpu-features-supports \
   tst-cpu-features-supports-static \
+  tst-get-cpu-features \
+  tst-get-cpu-features-static \
   tst-hwcap-tunables \
 # tests
 tests-static += \
-  tst-get-cpu-features-static \
   tst-cpu-features-cpuinfo-static \
   tst-cpu-features-supports-static \
+  tst-get-cpu-features-static \
 # tests-static
 ifeq (yes,$(have-ifunc))
 ifeq (yes,$(have-gcc-ifunc))
diff --git a/sysdeps/x86_64/Makefile b/sysdeps/x86_64/Makefile
index 90f4ecfd26..e7119bc9e9 100644
--- a/sysdeps/x86_64/Makefile
+++ b/sysdeps/x86_64/Makefile
@@ -32,161 +32,161 @@ sysdep_routines += \
 # sysdep_routines
 gen-as-const-headers += locale-defines.sym
 tests += \
-  tst-rsi-strlen
-endif
-
-ifeq ($(subdir),elf)
-# There is no good reason to use MMX in x86-64 ld.so with GCC.
-CFLAGS-.os += $(if $(filter $(@F),$(patsubst %,%.os,$(all-rtld-routines))),\
+			 $(objpfx)tst-auditmod6c.so
 		   -mno-mmx)
+		   tst-avx-aux.o tst-avx512-aux.o
+		tst-auditmod10a tst-auditmod10b \
+		tst-auditmod4a tst-auditmod4b \
+		tst-auditmod5a tst-auditmod5b \
+		tst-auditmod6a tst-auditmod6b tst-auditmod6c \
+		tst-auditmod7a tst-auditmod7b \
+		tst-ssemod tst-avxmod tst-avx512mod
+	       tst-avx-aux tst-avx512-aux
+	 tst-audit10 tst-sse tst-avx tst-avx512
+	$(make-target-directory)
+	$(make-target-directory)
+	$(make-target-directory)
+	$(make-target-directory)
+	$(make-target-directory)
+	$(make-target-directory)
+	GLIBC_TUNABLES=glibc.cpu.hwcaps=-AVX512F,-AVX2
+	cp $< $@
+	cp $< $@
+	cp $< $@
+	cp $< $@
+	cp $< $@
+	cp $< $@
+
+
+
+
 
-sysdep-dl-routines += tlsdesc dl-tlsdesc tls_get_addr
 
-tests += ifuncmain8
-modules-names += ifuncmod8
 
-$(objpfx)ifuncmain8: $(objpfx)ifuncmod8.so
 
-tests += tst-quad1 tst-quad2
-modules-names += tst-quadmod1 tst-quadmod2
 
-$(objpfx)tst-quad1: $(objpfx)tst-quadmod1.so
-$(objpfx)tst-quad2: $(objpfx)tst-quadmod2.so
 
-quad-pie-test += tst-quad1pie tst-quad2pie
-tests += $(quad-pie-test)
-tests-pie += $(quad-pie-test)
-test-extras += tst-quadmod1pie tst-quadmod2pie
-extra-test-objs += tst-quadmod1pie.o tst-quadmod2pie.o
 
-$(objpfx)tst-quad1pie: $(objpfx)tst-quadmod1pie.o
-$(objpfx)tst-quad2pie: $(objpfx)tst-quadmod2pie.o
 
-CFLAGS-tst-quad1pie.c = $(PIE-ccflag)
-CFLAGS-tst-quad2pie.c = $(PIE-ccflag)
 
-tests += tst-platform-1
-modules-names += tst-platformmod-1 x86_64/tst-platformmod-2
-extra-test-objs += tst-platformmod-2.o
-CFLAGS-tst-platform-1.c = -mno-avx
-CFLAGS-tst-platformmod-1.c = -mno-avx
-CFLAGS-tst-platformmod-2.c = -mno-avx
-LDFLAGS-tst-platformmod-2.so = -Wl,-soname,tst-platformmod-2.so
-$(objpfx)tst-platform-1: $(objpfx)tst-platformmod-1.so
-$(objpfx)tst-platform-1.out: $(objpfx)x86_64/tst-platformmod-2.so
-# Turn off AVX512F and AVX2 so that GLRO(dl_platform) is
-# always set to x86_64.
-tst-platform-1-ENV = LD_PRELOAD=$(objpfx)\$$PLATFORM/tst-platformmod-2.so \
-	GLIBC_TUNABLES=glibc.cpu.hwcaps=-AVX512F,-AVX2
 
-tests += tst-audit3 tst-audit4 tst-audit5 tst-audit6 tst-audit7 \
-	 tst-audit10 tst-sse tst-avx tst-avx512
-test-extras += tst-audit4-aux tst-audit10-aux \
-	       tst-avx-aux tst-avx512-aux
-extra-test-objs += tst-audit4-aux.o tst-audit10-aux.o \
-		   tst-avx-aux.o tst-avx512-aux.o
 
-ifeq ($(have-insert),yes)
-tests += tst-split-dynreloc
-LDFLAGS-tst-split-dynreloc = -Wl,-T,$(..)sysdeps/x86_64/tst-split-dynreloc.lds
-tst-split-dynreloc-ENV = LD_BIND_NOW=1
-endif
 
-modules-names += tst-auditmod3a tst-auditmod3b \
-		tst-auditmod4a tst-auditmod4b \
-		tst-auditmod5a tst-auditmod5b \
-		tst-auditmod6a tst-auditmod6b tst-auditmod6c \
-		tst-auditmod7a tst-auditmod7b \
-		tst-auditmod10a tst-auditmod10b \
-		tst-ssemod tst-avxmod tst-avx512mod
 
-$(objpfx)tst-audit3: $(objpfx)tst-auditmod3a.so
-$(objpfx)tst-audit3.out: $(objpfx)tst-auditmod3b.so
-tst-audit3-ENV = LD_AUDIT=$(objpfx)tst-auditmod3b.so
 
-$(objpfx)tst-audit4: $(objpfx)tst-audit4-aux.o $(objpfx)tst-auditmod4a.so
-$(objpfx)tst-audit4.out: $(objpfx)tst-auditmod4b.so
-tst-audit4-ENV = LD_AUDIT=$(objpfx)tst-auditmod4b.so
 
-$(objpfx)tst-audit5: $(objpfx)tst-auditmod5a.so
-$(objpfx)tst-audit5.out: $(objpfx)tst-auditmod5b.so
-tst-audit5-ENV = LD_AUDIT=$(objpfx)tst-auditmod5b.so
 
-$(objpfx)tst-audit6: $(objpfx)tst-auditmod6a.so
-$(objpfx)tst-audit6.out: $(objpfx)tst-auditmod6b.so \
-			 $(objpfx)tst-auditmod6c.so
-tst-audit6-ENV = LD_AUDIT=$(objpfx)tst-auditmod6b.so:$(objpfx)tst-auditmod6c.so
 
-$(objpfx)tst-audit7: $(objpfx)tst-auditmod7a.so
-$(objpfx)tst-audit7.out: $(objpfx)tst-auditmod7b.so
-tst-audit7-ENV = LD_AUDIT=$(objpfx)tst-auditmod7b.so
 
-$(objpfx)tst-audit10: $(objpfx)tst-audit10-aux.o $(objpfx)tst-auditmod10a.so
-$(objpfx)tst-audit10.out: $(objpfx)tst-auditmod10b.so
-tst-audit10-ENV = LD_AUDIT=$(objpfx)tst-auditmod10b.so
 
-$(objpfx)tst-sse: $(objpfx)tst-ssemod.so
-$(objpfx)tst-avx: $(objpfx)tst-avx-aux.o $(objpfx)tst-avxmod.so
-$(objpfx)tst-avx512: $(objpfx)tst-avx512-aux.o $(objpfx)tst-avx512mod.so
 
-AVX-CFLAGS=-mavx -mno-vzeroupper
-CFLAGS-tst-audit4-aux.c += $(AVX-CFLAGS)
-CFLAGS-tst-auditmod4a.c += $(AVX-CFLAGS)
-CFLAGS-tst-auditmod4b.c += $(AVX-CFLAGS)
-CFLAGS-tst-auditmod6b.c += $(AVX-CFLAGS)
-CFLAGS-tst-auditmod6c.c += $(AVX-CFLAGS)
-CFLAGS-tst-auditmod7b.c += $(AVX-CFLAGS)
-CFLAGS-tst-avx-aux.c += $(AVX-CFLAGS)
-CFLAGS-tst-avxmod.c += $(AVX-CFLAGS)
-AVX512-CFLAGS = -mavx512f
-CFLAGS-tst-audit10-aux.c += $(AVX512-CFLAGS)
-CFLAGS-tst-auditmod10a.c += $(AVX512-CFLAGS)
-CFLAGS-tst-auditmod10b.c += $(AVX512-CFLAGS)
-CFLAGS-tst-avx512-aux.c += $(AVX512-CFLAGS)
-CFLAGS-tst-avx512mod.c += $(AVX512-CFLAGS)
 
-$(objpfx)tst-glibc-hwcaps: $(objpfx)libmarkermod2-1.so \
-  $(objpfx)libmarkermod3-1.so $(objpfx)libmarkermod4-1.so
-$(objpfx)tst-glibc-hwcaps.out: \
-  $(objpfx)libmarkermod2.so \
     $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod2.so \
-  $(objpfx)libmarkermod3.so \
     $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod3.so \
-    $(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod3.so \
-  $(objpfx)libmarkermod4.so \
     $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod4.so \
+    $(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod3.so \
     $(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod4.so \
     $(objpfx)glibc-hwcaps/x86-64-v4/libmarkermod4.so \
-
+  $(objpfx)libmarkermod2.so \
+  $(objpfx)libmarkermod3-1.so $(objpfx)libmarkermod4-1.so
+  $(objpfx)libmarkermod3.so \
+  $(objpfx)libmarkermod4.so \
+  tst-plt-rewrite1 \
+  tst-plt-rewrite2 \
+  tst-rsi-strlen
+# There is no good reason to use MMX in x86-64 ld.so with GCC.
+# This is an ld.so.cache test, and RPATH/RUNPATH in the executable
+# Turn off AVX512F and AVX2 so that GLRO(dl_platform) is
+# always set to x86_64.
+# interferes with its test objectives.
 $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod2.so: $(objpfx)libmarkermod2-2.so
-	$(make-target-directory)
-	cp $< $@
 $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod3.so: $(objpfx)libmarkermod3-2.so
-	$(make-target-directory)
-	cp $< $@
-$(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod3.so: $(objpfx)libmarkermod3-3.so
-	$(make-target-directory)
-	cp $< $@
 $(objpfx)glibc-hwcaps/x86-64-v2/libmarkermod4.so: $(objpfx)libmarkermod4-2.so
-	$(make-target-directory)
-	cp $< $@
+$(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod3.so: $(objpfx)libmarkermod3-3.so
 $(objpfx)glibc-hwcaps/x86-64-v3/libmarkermod4.so: $(objpfx)libmarkermod4-3.so
-	$(make-target-directory)
-	cp $< $@
 $(objpfx)glibc-hwcaps/x86-64-v4/libmarkermod4.so: $(objpfx)libmarkermod4-4.so
-	$(make-target-directory)
-	cp $< $@
-
-ifeq (no,$(build-hardcoded-path-in-tests))
-# This is an ld.so.cache test, and RPATH/RUNPATH in the executable
-# interferes with its test objectives.
-tests-container += tst-glibc-hwcaps-cache
+$(objpfx)ifuncmain8: $(objpfx)ifuncmod8.so
+$(objpfx)tst-audit10.out: $(objpfx)tst-auditmod10b.so
+$(objpfx)tst-audit10: $(objpfx)tst-audit10-aux.o $(objpfx)tst-auditmod10a.so
+$(objpfx)tst-audit3.out: $(objpfx)tst-auditmod3b.so
+$(objpfx)tst-audit3: $(objpfx)tst-auditmod3a.so
+$(objpfx)tst-audit4.out: $(objpfx)tst-auditmod4b.so
+$(objpfx)tst-audit4: $(objpfx)tst-audit4-aux.o $(objpfx)tst-auditmod4a.so
+$(objpfx)tst-audit5.out: $(objpfx)tst-auditmod5b.so
+$(objpfx)tst-audit5: $(objpfx)tst-auditmod5a.so
+$(objpfx)tst-audit6.out: $(objpfx)tst-auditmod6b.so \
+$(objpfx)tst-audit6: $(objpfx)tst-auditmod6a.so
+$(objpfx)tst-audit7.out: $(objpfx)tst-auditmod7b.so
+$(objpfx)tst-audit7: $(objpfx)tst-auditmod7a.so
+$(objpfx)tst-avx512: $(objpfx)tst-avx512-aux.o $(objpfx)tst-avx512mod.so
+$(objpfx)tst-avx: $(objpfx)tst-avx-aux.o $(objpfx)tst-avxmod.so
+$(objpfx)tst-glibc-hwcaps.out: \
+$(objpfx)tst-glibc-hwcaps: $(objpfx)libmarkermod2-1.so \
+$(objpfx)tst-platform-1.out: $(objpfx)x86_64/tst-platformmod-2.so
+$(objpfx)tst-platform-1: $(objpfx)tst-platformmod-1.so
+$(objpfx)tst-quad1: $(objpfx)tst-quadmod1.so
+$(objpfx)tst-quad1pie: $(objpfx)tst-quadmod1pie.o
+$(objpfx)tst-quad2: $(objpfx)tst-quadmod2.so
+$(objpfx)tst-quad2pie: $(objpfx)tst-quadmod2pie.o
+$(objpfx)tst-sse: $(objpfx)tst-ssemod.so
+AVX-CFLAGS=-mavx -mno-vzeroupper
+AVX512-CFLAGS = -mavx512f
+CFLAGS-.os += $(if $(filter $(@F),$(patsubst %,%.os,$(all-rtld-routines))),\
+CFLAGS-tst-audit10-aux.c += $(AVX512-CFLAGS)
+CFLAGS-tst-audit4-aux.c += $(AVX-CFLAGS)
+CFLAGS-tst-auditmod10a.c += $(AVX512-CFLAGS)
+CFLAGS-tst-auditmod10b.c += $(AVX512-CFLAGS)
+CFLAGS-tst-auditmod4a.c += $(AVX-CFLAGS)
+CFLAGS-tst-auditmod4b.c += $(AVX-CFLAGS)
+CFLAGS-tst-auditmod6b.c += $(AVX-CFLAGS)
+CFLAGS-tst-auditmod6c.c += $(AVX-CFLAGS)
+CFLAGS-tst-auditmod7b.c += $(AVX-CFLAGS)
+CFLAGS-tst-avx-aux.c += $(AVX-CFLAGS)
+CFLAGS-tst-avx512-aux.c += $(AVX512-CFLAGS)
+CFLAGS-tst-avx512mod.c += $(AVX512-CFLAGS)
+CFLAGS-tst-avxmod.c += $(AVX-CFLAGS)
+CFLAGS-tst-platform-1.c = -mno-avx
+CFLAGS-tst-platformmod-1.c = -mno-avx
+CFLAGS-tst-platformmod-2.c = -mno-avx
+CFLAGS-tst-quad1pie.c = $(PIE-ccflag)
+CFLAGS-tst-quad2pie.c = $(PIE-ccflag)
+LDFLAGS-tst-platformmod-2.so = -Wl,-soname,tst-platformmod-2.so
+LDFLAGS-tst-split-dynreloc = -Wl,-T,$(..)sysdeps/x86_64/tst-split-dynreloc.lds
 endif
-
+endif
+endif
+extra-test-objs += tst-audit4-aux.o tst-audit10-aux.o \
+extra-test-objs += tst-platformmod-2.o
+extra-test-objs += tst-quadmod1pie.o tst-quadmod2pie.o
+ifeq ($(have-insert),yes)
+ifeq ($(subdir),elf)
+ifeq (no,$(build-hardcoded-path-in-tests))
 ifeq (yes,$(have-z-mark-plt))
+modules-names += ifuncmod8
+modules-names += tst-auditmod3a tst-auditmod3b \
+modules-names += tst-platformmod-1 x86_64/tst-platformmod-2
+modules-names += tst-quadmod1 tst-quadmod2
+quad-pie-test += tst-quad1pie tst-quad2pie
+sysdep-dl-routines += tlsdesc dl-tlsdesc tls_get_addr
+test-extras += tst-audit4-aux tst-audit10-aux \
+test-extras += tst-quadmod1pie tst-quadmod2pie
+tests += $(quad-pie-test)
 tests += \
-  tst-plt-rewrite1 \
-  tst-plt-rewrite2 \
+tests += ifuncmain8
+tests += tst-audit3 tst-audit4 tst-audit5 tst-audit6 tst-audit7 \
+tests += tst-platform-1
+tests += tst-quad1 tst-quad2
+tests += tst-split-dynreloc
+tests-container += tst-glibc-hwcaps-cache
+tests-pie += $(quad-pie-test)
+tst-audit10-ENV = LD_AUDIT=$(objpfx)tst-auditmod10b.so
+tst-audit3-ENV = LD_AUDIT=$(objpfx)tst-auditmod3b.so
+tst-audit4-ENV = LD_AUDIT=$(objpfx)tst-auditmod4b.so
+tst-audit5-ENV = LD_AUDIT=$(objpfx)tst-auditmod5b.so
+tst-audit6-ENV = LD_AUDIT=$(objpfx)tst-auditmod6b.so:$(objpfx)tst-auditmod6c.so
+tst-audit7-ENV = LD_AUDIT=$(objpfx)tst-auditmod7b.so
+tst-platform-1-ENV = LD_PRELOAD=$(objpfx)\$$PLATFORM/tst-platformmod-2.so \
+tst-split-dynreloc-ENV = LD_BIND_NOW=1
 # tests
 modules-names += \
   tst-plt-rewritemod1 \
@@ -230,14 +230,14 @@ sysdep_routines += \
 # sysdep_routines
 
 tests += \
-  tst-rsi-wcslen
-endif
 
 
+  tst-rsi-wcslen
+  tst-setjmp-cet \
+endif
 ifeq ($(subdir),setjmp)
 ifneq ($(enable-cet),no)
 tests += \
-  tst-setjmp-cet \
 # tests
 tst-setjmp-cet-ENV = GLIBC_TUNABLES=glibc.cpu.x86_ibt=on:glibc.cpu.x86_shstk=on
 endif
@@ -250,6 +250,10 @@ sysdep-dl-routines += dl-cet
 
 tests += \
   tst-cet-legacy-1 \
+  tst-cet-legacy-10 \
+  tst-cet-legacy-10-static \
+  tst-cet-legacy-10a \
+  tst-cet-legacy-10a-static \
   tst-cet-legacy-1a \
   tst-cet-legacy-2 \
   tst-cet-legacy-2a \
@@ -261,15 +265,11 @@ tests += \
   tst-cet-legacy-8 \
   tst-cet-legacy-9 \
   tst-cet-legacy-9-static \
-  tst-cet-legacy-10 \
-  tst-cet-legacy-10-static \
-  tst-cet-legacy-10a \
-  tst-cet-legacy-10a-static \
 # tests
 tests-static += \
-  tst-cet-legacy-9-static \
   tst-cet-legacy-10-static \
   tst-cet-legacy-10a-static \
+  tst-cet-legacy-9-static \
 # tests-static
 tst-cet-legacy-1a-ARGS = -- $(host-test-program-cmd)
 
diff --git a/sysdeps/x86_64/fpu/multiarch/Makefile b/sysdeps/x86_64/fpu/multiarch/Makefile
index ea81753b70..e1a490dd98 100644
--- a/sysdeps/x86_64/fpu/multiarch/Makefile
+++ b/sysdeps/x86_64/fpu/multiarch/Makefile
@@ -4,10 +4,10 @@ libm-sysdep_routines += \
   s_ceilf-c \
   s_floor-c \
   s_floorf-c \
-  s_rint-c \
-  s_rintf-c \
   s_nearbyint-c \
   s_nearbyintf-c \
+  s_rint-c \
+  s_rintf-c \
   s_roundeven-c \
   s_roundevenf-c \
   s_trunc-c \
@@ -21,10 +21,10 @@ libm-sysdep_routines += \
   s_floorf-sse4_1 \
   s_nearbyint-sse4_1 \
   s_nearbyintf-sse4_1 \
-  s_roundeven-sse4_1 \
-  s_roundevenf-sse4_1 \
   s_rint-sse4_1 \
   s_rintf-sse4_1 \
+  s_roundeven-sse4_1 \
+  s_roundevenf-sse4_1 \
   s_trunc-sse4_1 \
   s_truncf-sse4_1 \
 # libm-sysdep_routines
@@ -84,12 +84,12 @@ CFLAGS-s_cosf-fma.c = -mfma -mavx2
 CFLAGS-s_sincosf-fma.c = -mfma -mavx2
 
 libm-sysdep_routines += \
+  e_asin-fma4 \
+  e_atan2-fma4 \
   e_exp-fma4 \
   e_log-fma4 \
   e_pow-fma4 \
-  e_asin-fma4 \
   s_atan-fma4 \
-  e_atan2-fma4 \
   s_sin-fma4 \
   s_sincos-fma4 \
   s_tan-fma4 \
@@ -106,10 +106,10 @@ CFLAGS-s_tan-fma4.c = -mfma4
 CFLAGS-s_sincos-fma4.c = -mfma4
 
 libm-sysdep_routines += \
+  e_atan2-avx \
   e_exp-avx \
   e_log-avx \
   s_atan-avx \
-  e_atan2-avx \
   s_sin-avx \
   s_sincos-avx \
   s_tan-avx \
diff --git a/sysdeps/x86_64/multiarch/Makefile b/sysdeps/x86_64/multiarch/Makefile
index e1e894c963..d3d2270394 100644
--- a/sysdeps/x86_64/multiarch/Makefile
+++ b/sysdeps/x86_64/multiarch/Makefile
@@ -4,8 +4,8 @@ sysdep_routines += \
   memchr-avx2 \
   memchr-avx2-rtm \
   memchr-evex \
-  memchr-evex512 \
   memchr-evex-rtm \
+  memchr-evex512 \
   memchr-sse2 \
   memcmp-avx2-movbe \
   memcmp-avx2-movbe-rtm \
@@ -37,8 +37,8 @@ sysdep_routines += \
   rawmemchr-avx2 \
   rawmemchr-avx2-rtm \
   rawmemchr-evex \
-  rawmemchr-evex512 \
   rawmemchr-evex-rtm \
+  rawmemchr-evex512 \
   rawmemchr-sse2 \
   stpcpy-avx2 \
   stpcpy-avx2-rtm \